#!/usr/bin/perl

my $debug= 0;
my $email= "email.html"; # Not in public_html!

print <<HEAD;
Content-type: text/html

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
HEAD

if ($ENV{REQUEST_METHOD} eq 'POST' && $ENV{CONTENT_LENGTH}) {
  read (STDIN, my $query, $ENV{CONTENT_LENGTH});
  chomp ($query);
  my %q;
  foreach (split /&/, $query) {
    if (my ($k, $v)= /^([^=]*)=(.*)$/) {
      $q{$k}= $v;
    } else {
      $q{$_}= 1;
    }
  }

  if ($debug) {
    print "<PRE>\n";
    print "query: '$query'\n";
    foreach my $p (keys %q) {
      print "  $p='$q{$p}'\n";
    }
    print "</PRE>\n";
  }


  if (exists $q{SubmitOK} && defined (my $search= $q{search})) {
    my $sstr= $search eq '' ? '' : " that match your search string, <EM>\"$search\"</EM>,";

#=============================================================================
    print <<TOP;
<HTML><HEAD><TITLE>OUSFG E-mail Addresses</TITLE>
<BASE HREF="http://users.ox.ac.uk/~ousfg/people/people.html">
<LINK REV="made" HREF="mailto:T.J.Adye\@rl.ac.uk">
</HEAD><BODY>
<H1>OUSFG E-mail Addresses</H1>

These are all the e-mail addresses I know$sstr for past and
present <A HREF="../">OUSFG</A> people
(in alphabetic order by surname).
If you spot any errors or know of any more,
please let me know with a message to
<A HREF="mailto:T.J.Adye\@rl.ac.uk"><CODE>T.J.Adye\@rl.ac.uk</CODE></A>.

<HR>
<TABLE BORDER=0 CELLSPACING=0 CELLPADDING=0>
TOP
#=============================================================================
    my $nlines= 0;
    {
      my $re;
      if ($search ne '') {
        $re= join ('|', map ("\Q$_\E", split (',', $search)));
        $re= qr/$re/i;
        print "<PRE>re=$re</PRE>\n" if $debug;
      }
      open (FL, $email) or last;
      while (<FL>) {
        if ($search ne '') {
          /$re/ or next;
        }
        print;
        $nlines++;
      }
      close (FL);
    }
#=============================================================================
    print "<EM>No addresses found</EM><BR>\n" unless $nlines;
    print <<BOTTOM;
</TABLE><HR>
<ADDRESS><A HREF="tim.html">Tim Adye</A>,
<KBD>&lt;<A HREF="mailto:T.J.Adye@rl.ac.uk">T.J.Adye@rl.ac.uk</A>&gt;</KBD>
</ADDRESS></BODY></HTML>
BOTTOM
#=============================================================================
    exit;
  }
}

#=============================================================================
print <<FUCKOFF;
<HTML><HEAD><TITLE>Tricheur</TITLE>
<LINK REV="made" HREF="mailto:T.J.Adye\@rl.ac.uk"></HEAD><BODY>
If you are a spambot, <A
HREF="http://spam.abuse.net/">bug off</A>.
If not, please select the <STRONG>I am NOT a spambot</STRONG> button on the
previous form.
<HR><ADDRESS><A
HREF="http://users.ox.ac.uk/~ousfg/people/Tim.html">Tim Adye</A>, <KBD>&lt;<A
HREF="mailto:T.J.Adye\@rl.ac.uk">T.J.Adye\@rl.ac.uk</A>&gt;</KBD></ADDRESS></BODY></HTML>
FUCKOFF
#=============================================================================
