#!/usr/bin/perl
#use strict;

my $url= $ENV{REDIRECT_URL};
if (defined $url) {
  my $newurl= lc($url);
  # Only try to redirect if the URL is not already lower case.
  # If the file isn't there, then we will be called again, but with
  # a lower case URL, so we can then generate an error message.
  if ($newurl ne $url) {
    print <<REDIR;
Location: $newurl
Status: 301 Found

REDIR
    exit;
 }
}

my $status= $ENV{REDIRECT_STATUS};
$status= "404" unless defined $status && $status ne '';
my $sig= $ENV{SERVER_SIGNATURE};
$sig =~ s!^\s*<address>!!;

print <<NOTFOUND;
Status: $status Not Found
Content-type: text/html

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>$status Not Found</title>
</head><body>
<h1>Not Found</h1>
<p>The requested URL <code>$ENV{REQUEST_URI}</code> was not found on this server.</p>
<hr />
<address>
<a href="http://users.ox.ac.uk/~ousfg/">The Mgt</a>,
<kbd>&lt;<a href="mailto:ousfg\@herald.ox.ac.uk">ousfg\@herald.ox.ac.uk</a>&gt;</kbd><br />
$sig</body></html>
NOTFOUND

exit;
